/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *    https://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package org.grails.datastore.gorm.mongo

import com.mongodb.client.MongoCollection

import grails.mongodb.MongoEntity
import org.apache.grails.data.mongo.core.GrailsDataMongoTckManager
import org.apache.grails.data.testing.tck.base.GrailsDataTckSpec

class MongoGormEnhancerSpec extends GrailsDataTckSpec<GrailsDataMongoTckManager> {

    void setupSpec() {
        manager.domainClasses.addAll([MyMongoEntity])
    }

    def "Test is MongoEntity"() {
        expect:
        MongoEntity.isAssignableFrom(MyMongoEntity)
    }

    def "Test getCollectionName static method"() {
        when:
        def collectionName = MyMongoEntity.collectionName

        then:
        collectionName == "mycollection"

    }

    def "Test getCollection static method"() {
        when:
        MongoCollection collection = MyMongoEntity.collection

        then:
        collection.namespace.collectionName == 'mycollection'
    }
}
