/*
 * Copyright 2017-2020 original authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.grails.forge.analytics.postgres;

import io.micronaut.data.annotation.Join;
import io.micronaut.data.jdbc.annotation.JdbcRepository;
import io.micronaut.data.model.Pageable;
import io.micronaut.data.model.query.builder.sql.Dialect;
import io.micronaut.data.repository.PageableRepository;

import java.util.List;

/**
 * Repository for storing generated applications.
 *
 * @author graemerocher
 * @since 6.0.0
 */
@JdbcRepository(dialect = Dialect.POSTGRES)
public interface ApplicationRepository extends PageableRepository<Application, Long> {
    /**
     * List the applications with the features.
     * @param pageable The pageable
     * @return The application and the features
     */
    @Join("features")
    List<Application> list(Pageable pageable);
}
