/*
 * Copyright 2017-2020 original authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.grails.forge.api.options;

import org.grails.forge.api.LanguageDTO;
import org.grails.forge.api.SelectOptionDTO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

@Schema(name = "LanguageSelectOptions")
public class LanguageSelectOptions extends SelectOptionDTO<LanguageDTO> {
    public LanguageSelectOptions(List<LanguageDTO> options, LanguageDTO defaultOption) {
        super(options, defaultOption);
    }

    @Override
    public List<LanguageDTO> getOptions() {
        return super.getOptions();
    }

    @Override
    public LanguageDTO getDefaultOption() {
        return super.getDefaultOption();
    }
}
